Bug 868651 - CDM failed to start X after updating of xorg-X11-xinit
CDM failed to start X after updating of xorg-X11-xinit
Product: Fedora
Classification: Fedora
Component: cdm (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jaromír Cápík
Fedora Extras Quality Assurance
: Reopened
Depends On:
  Show dependency treegraph
Reported: 2012-10-21 09:08 EDT by Pavel Zhukov
Modified: 2016-01-31 20:57 EST (History)
3 users (show)

See Also:
Fixed In Version: cdm-0.5.3-13.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-11-16 01:58:33 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Pavel Zhukov 2012-10-21 09:08:49 EDT
Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. login to system
Actual results:
failed to start WM
Comment 1 Pavel Zhukov 2012-10-21 11:11:20 EDT
* Mon Oct 01 2012 Kevin Fenzi <kevin@scrye.com> 1.3.2-7
- Add patch to not switch tty's, so systemd-logind works right with startx.

Enjoy your systemd :)
Comment 2 Jaromír Cápík 2012-10-22 06:55:45 EDT
Hello Pavel.

Thanks for reporting. It seems you still take that well, since you're still able to append smileys to your comments. I somehow lost the ability few months ago. Introduction and development of the systemd stuff is quite difficult for everyone. I'll try to discuss the issue with relevant guys and hopefully we'll find a solution that could save CDM from being retired.

Comment 3 Fedora End Of Life 2013-07-03 18:53:42 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2013-07-31 21:05:45 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 5 Jaromír Cápík 2013-10-31 15:12:55 EDT
Hello Pavel.

I had to remove the consolekit support and patch cdm to avoid immediate startx terminations.
The reworked solution is currently available for Fedora Rawhide, but I'm going to merge the changes to all currently supported Fedora releases. Anyway ... I don't feel well when releasing such hacked solution. It still may fail in some cases.
Could you please test the patched versions once they become available?

Thanks a lot for your feedback.

Comment 7 Fedora Update System 2013-11-04 09:40:57 EST
cdm-0.5.3-13.fc19 has been submitted as an update for Fedora 19.
Comment 8 Fedora Update System 2013-11-04 09:41:14 EST
cdm-0.5.3-13.fc20 has been submitted as an update for Fedora 20.
Comment 9 Fedora Update System 2013-11-04 09:41:29 EST
cdm-0.5.3-13.fc18 has been submitted as an update for Fedora 18.
Comment 10 Fedora Update System 2013-11-04 12:52:04 EST
Package cdm-0.5.3-13.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing cdm-0.5.3-13.fc20'
as soon as you are able to.
Please go to the following url:
then log in and leave karma (feedback).
Comment 11 Fedora Update System 2013-11-16 01:58:33 EST
cdm-0.5.3-13.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2013-11-16 02:01:01 EST
cdm-0.5.3-13.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2013-11-16 02:10:54 EST
cdm-0.5.3-13.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Pavel Zhukov 2014-09-08 09:50:17 EDT
Works now (F19).

Note You need to log in before you can comment on or make changes to this bug.